package com.madeu.util;

import org.springframework.context.MessageSource;
import org.springframework.context.i18n.LocaleContextHolder;

public class MessageUtils {
    // static 필드
    private static MessageSource messageSource;

    // 외부(Config)에서 호출하여 주입할 메서드
    public static void setMessageSource(MessageSource messageSource) {
        MessageUtils.messageSource = messageSource;
    }

    public static String getMessage(String code, Object... args) {
        if (messageSource == null) return code; // 초기화 전이라면 키값 그대로 반환
        return messageSource.getMessage(code, args, LocaleContextHolder.getLocale());
    }
}
